%define snap 20091203

Summary:	Utility to clean up and pretty-print HTML/XHTML/XML
Name:		tidy
Version:	0.99.0
Release:	34.%{snap}.0%{?dist}
License:	W3C
Group:		Applications/Text
Url:		http://tidy.sourceforge.net/
Source0:	tidy-%{snap}cvs.tar.gz
Source1:	tab2space.1
Source10:	tidy-cvs_checkout.sh
Patch0:		tidy-20091203cvs-format.patch
Patch10:	tidy-outfile-raw.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	autoconf, automake, libtool, doxygen, libxslt
Requires:	libtidy%{?_isa} = %{version}-%{release}

%description
When editing HTML it's easy to make mistakes. This program provides a simple
way to fix these mistakes automatically and tidy up sloppy editing into nicely
laid-out markup. It also works great on the atrociously hard to read markup
generated by specialized HTML editors and conversion tools, and can help you
identify where you need to pay further attention on making your pages more
accessible to people with disabilities.

%package -n libtidy
Summary:	Shared libraries for tidy
Group:		System Environment/Libraries
%description -n libtidy
%{summary}.

%package -n libtidy-devel
Summary:	Development files for libtidy
Group:		Development/Libraries
Requires:	libtidy = %{version}-%{release}
Obsoletes:	tidy-devel < %{version}-%{release}
Provides:	tidy-devel = %{version}-%{release}
Requires:	libtidy%{?_isa} = %{version}-%{release}

%description -n libtidy-devel
%{summary}.

%prep
%setup -q -n %{name}

# Silence gcc's warnings for -Werror=format-string (#1037356)
%patch0 -p1 -b .format

# Fix mangling of output file names (#720221, #725651)
%patch10 -p1

chmod -c -x src/*.[ch]
bash build/gnuauto/setup.sh

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

# api docs 
doxygen htmldoc/doxygen.cfg

# make doc steps gleaned from build/gmake/Makefile
cd htmldoc
../console/tidy -xml-config > tidy-config.xml
../console/tidy -xml-help > tidy-help.xml
xsltproc -o tidy.1 tidy1.xsl tidy-help.xml 
xsltproc -o quickref.html quickref-html.xsl tidy-config.xml 
cd -

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -p -m644 -D htmldoc/tidy.1 %{buildroot}%{_mandir}/man1/tidy.1
install -p -m644 %{SOURCE1} %{buildroot}%{_mandir}/man1/

%check
cp test/testone.sh{,~}
sed -i 's|TIDY=../bin/tidy|TIDY=../console/tidy|' test/testone.sh
cd test
./testall.sh
mv testone.sh{~,}

%clean
rm -rf %{buildroot}

%post -n libtidy -p /sbin/ldconfig

%postun -n libtidy -p /sbin/ldconfig

%files
%doc htmldoc/*.html htmldoc/*.css htmldoc/*.gif
%{_bindir}/tab2space
%{_bindir}/tidy
%{_mandir}/man1/tab2space.1*
%{_mandir}/man1/tidy.1*

%files -n libtidy
%{_libdir}/libtidy-0.99.so.0*

%files -n libtidy-devel
%doc htmldoc/api/*
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_includedir}/tidy.h
%{_includedir}/tidyenum.h
%{_libdir}/libtidy.so
%exclude %{_libdir}/libtidy.la

%changelog
* Tue Jun 23 2015 Paul Howarth <paul@city-fan.org> - 0.99.0-34.20091203.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Aug 20 2014 Paul Howarth <paul@city-fan.org> - 0.99.0-33.20091203.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jun 11 2014 Paul Howarth <paul@city-fan.org> - 0.99.0-32.20091203.0
- Drop %%defattr, redundant since rpm 4.4

* Tue Dec  3 2013 Paul Howarth <paul@city-fan.org> - 0.99.0-31.20091203.0
- Silence gcc's warnings for -Werror=format-string (#1037356)

* Fri Oct 11 2013 Paul Howarth <paul@city-fan.org> - 0.99.0-30.20091203.0
- Add a %%check section and run the test suite

* Sun Aug  4 2013 Paul Howarth <paul@city-fan.org> - 0.99.0-29.20091203.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 0.99.0-28.20091203.0
- Add manual page for tab2space

* Sat Feb 23 2013 Paul Howarth <paul@city-fan.org> - 0.99.0-27.20091203.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Paul Howarth <paul@city-fan.org> - 0.99.0-26.20091203.0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 21 2012 Paul Howarth <paul@city-fan.org> - 0.99.0-25.20091203.0
- Rebuild 2, the wrath of doxygen (#831423)

* Fri Jun 15 2012 Paul Howarth <paul@city-fan.org> - 0.99.0-24.20091203.0
- Rebuild for newer doxygen, avoiding html doc multilib conflict (#831423)

* Fri Jul 29 2011 Paul Howarth <paul@city-fan.org> - 0.99.0-22.20091203.0
- Fix mangling of output filename (#720221, #725651)
- Nobody else likes macros for commands

* Fri Feb 11 2011 Paul Howarth <paul@city-fan.org> - 0.99.0-21.20091203.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  8 2009 Paul Howarth <paul@city-fan.org> - 0.99.0-20.20091203.1
- 20091203 snapshot
- Spec housecleaning
- tidy erroneously removed whitespace, causing mangled text (#481350)

* Fri Jul 31 2009 Paul Howarth <paul@city-fan.org> - 0.99.0-19.20070615.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar  3 2009 Paul Howarth <paul@city-fan.org> - 0.99.0-18.20070615.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Paul Howarth <paul@city-fan.org> - 0.99.0-17.20070615.1
- Respin (gcc 4.3.0)

* Mon Aug 27 2007 Paul Howarth <paul@city-fan.org> - 0.99.0-16.20070615.1
- Respin (BuildID)

* Fri Aug 24 2007 Paul Howarth <paul@city-fan.org> - 0.99.0-15.20070615.1
- Use standard shortname "WSC" for license tag

* Tue Jul 10 2007 Paul Howarth <paul@city-fan.org> - 0.99.0-13.20070615.1
- 15th June 2007 snapshot

* Mon Jun 25 2007 Paul Howarth <paul@city-fan.org> - 0.99.0-12.20070228.1
- Upstream has stopped releasing tarballs and advocates CVS snapshots
  instead
- 28th February 2007 snapshot
- Run setup.sh in %%prep rather than %%build
- fileio.h no longer included in -devel package

* Fri Sep 15 2006 Paul Howarth <paul@city-fan.org> - 0.99.0-10.20051026
- Add dist tag

* Tue Jun 20 2006 Paul Howarth <paul@city-fan.org> - 0.99.0-9.20051026.4
- libtidy-devel depends on libtidy, not tidy

* Mon Jan 23 2006 Paul Howarth <paul@city-fan.org> - 0.99.0-9.20051026
- Update source to 26 October 2005 version
- Bring back libtidy as per Fedora Extras package
- Never strip binaries

* Fri Oct 21 2005 Paul Howarth <paul@city-fan.org> - 0.99.0-6.20051020
- Drop obsoletes/provides for libtidy-progs, which didn't work anyway
- Update to 051020 releases of both src and docs
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros for pathnames in build-time commands, hardcode them instead
- Wrap %%description at 80 columns

* Tue Aug  9 2005 Paul Howarth <paul@city-fan.org> - 0.99.0-6.20050803
- Clean up doc generation
- Build quickref.html
- Strip binaries if we're not making a debuginfo package

* Tue Aug  9 2005 Paul Howarth <paul@city-fan.org> - 0.99.0-5.20050803
- Update to 050803 and docs to 050705
- Rename packages *again* to be compatible with Fedora Extras

* Thu Jun  2 2005 Paul Howarth <paul@city-fan.org> - 0.99.0-5.20050531
- Update to 050531 version
- Incorporate documentation, version 050502
- Rename/reversion package for Fedora Extras compatibility
- Exclude libtidy.la, not needed

* Tue Feb 01 2005 Paul Howarth <paul@city-fan.org>
- Update to 050120 version

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org>
- Update to 041026 version

* Tue Jul 20 2004 Paul Howarth <paul@city-fan.org>
- Update to 040706 version

* Thu May 13 2004 Paul Howarth <paul@city-fan.org>
- Initial RPM build
